/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-core-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

public interface NamedNodeList {

  // Core get and set public interface. Note that implementations may
  // build the list lazily

  Node getNode(String name);
  Node setNode(String name, Node node);
 
  Node remove(String  name) 
    throws NoSuchNodeException;
 
  Node item(long index)
    throws NoSuchNodeException;
 
  long getLength();
 
  NodeEnumerator getEnumerator();

};
